Elyes Haouas has submitted this change. ( https://review.coreboot.org/c/coreboot/+/85796?usp=email )
Change subject: util/find_usbdebug: Check for lsusb and lspci
......................................................................
util/find_usbdebug: Check for lsusb and lspci
Add a check to make sure lsusb and lspci are installed, as the script
relies on them to function properly. Previously, if lsusb was not
installed, the script proceeded as if nothing was wrong, but never found
any devices plugged into the debug port. If lspci was not found, the
script exited saying that no EHCI debug capable controller was found.
The "command not found" messages that normally would have been shown in
these situations was not being shown, as stderr is redirected to
/dev/null to hide error messages that don't matter as per the comment
near the top of the script.
Change-Id: Ib56a20aab9552aa6321c2fb9ad0d2ca7d6cd00c7
Signed-off-by: Nicholas Chin <nic.c3.14(a)gmail.com>
Reviewed-on: https://review.coreboot.org/c/coreboot/+/85796
Tested-by: build bot (Jenkins) <no-reply(a)coreboot.org>
Reviewed-by: Riku Viitanen <riku.viitanen(a)protonmail.com>
Reviewed-by: Elyes Haouas <ehaouas(a)noos.fr>
Reviewed-by: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
---
M util/find_usbdebug/find_usbdebug.sh
1 file changed, 13 insertions(+), 0 deletions(-)
Approvals:
build bot (Jenkins): Verified
Felix Singer: Looks good to me, approved
Elyes Haouas: Looks good to me, approved
Riku Viitanen: Looks good to me, approved
diff --git a/util/find_usbdebug/find_usbdebug.sh b/util/find_usbdebug/find_usbdebug.sh
index de370b1..7c893c9 100755
--- a/util/find_usbdebug/find_usbdebug.sh
+++ b/util/find_usbdebug/find_usbdebug.sh
@@ -27,6 +27,19 @@
echo "Must be run as root. Exiting."
exit 1
fi
+
+if ! command -v lsusb; then
+ echo "lsusb not found. Please install \"usbutils\" from your
+distribution's package manager. Exiting."
+ exit 1
+fi
+
+if ! command -v lspci; then
+ echo "lspci not found. Please install \"pciutils\" from your
+distribution's package manager. Exiting."
+ exit 1
+fi
+
dmesgfile=$1
find_devs_in_tree () {
--
To view, visit https://review.coreboot.org/c/coreboot/+/85796?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ib56a20aab9552aa6321c2fb9ad0d2ca7d6cd00c7
Gerrit-Change-Number: 85796
Gerrit-PatchSet: 4
Gerrit-Owner: Nicholas Chin <nic.c3.14(a)gmail.com>
Gerrit-Reviewer: Elyes Haouas <ehaouas(a)noos.fr>
Gerrit-Reviewer: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-Reviewer: Riku Viitanen <riku.viitanen(a)protonmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Attention is currently required from: Bill XIE.
Keith Hui has posted comments on this change by Keith Hui. ( https://review.coreboot.org/c/coreboot/+/85413?usp=email )
Change subject: mb/asus/p8z77-v: Attempt to correctly route PCIe lanes
......................................................................
Patch Set 1:
(1 comment)
File src/mainboard/asus/p8x7x-series/variants/p8z77-v/early_init.c:
https://review.coreboot.org/c/coreboot/+/85413/comment/96c18bbc_e7fd55d1?us… :
PS1, Line 67: gpio5 |= 0x20;
> Sadly, I installed a card onto PCIEX1_2 with pciepcs1 == 0 and force_asm1061 == 0, and inteltool sai […]
The overridetree could be why. Before I'm able to send in a fix, can you manually change that and see if that works?
--
To view, visit https://review.coreboot.org/c/coreboot/+/85413?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: If41197a1f817a48c209d25fc1ae461ec97ccf16c
Gerrit-Change-Number: 85413
Gerrit-PatchSet: 1
Gerrit-Owner: Keith Hui <buurin(a)gmail.com>
Gerrit-Reviewer: Bill XIE <persmule(a)hardenedlinux.org>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Bill XIE <persmule(a)hardenedlinux.org>
Gerrit-Comment-Date: Thu, 16 Jan 2025 23:12:36 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Bill XIE <persmule(a)hardenedlinux.org>
Attention is currently required from: Ariel Chang, Nick Vaccaro, Paul Menzel, Paul Yang, Wayne3 Wang.
Ingo Reitz has posted comments on this change by Ingo Reitz. ( https://review.coreboot.org/c/coreboot/+/86026?usp=email )
Change subject: mb/google/volteer/variants/drobit: fix power_limits_config
......................................................................
Patch Set 6:
(7 comments)
Commit Message:
https://review.coreboot.org/c/coreboot/+/86026/comment/a63474a4_1f12623a?us… :
PS4, Line 7: volteer/drobit
> Add variants in between?
Done
https://review.coreboot.org/c/coreboot/+/86026/comment/fd322ef9_e51a388e?us… :
PS4, Line 9: little power usage and very low clock speeds under load
> Concrete values would be nice.
Done
https://review.coreboot.org/c/coreboot/+/86026/comment/c4a3b3ef_e671f8ca?us… :
PS4, Line 15: temperature
> It‘d be great if you could be more specific.
Done
https://review.coreboot.org/c/coreboot/+/86026/comment/e3a4ab72_7037039e?us… :
PS4, Line 15: correct power usage, clock speeds temperature
> It’d be great if you added the specific values.
Done
https://review.coreboot.org/c/coreboot/+/86026/comment/9a586a59_0dad4e06?us… :
PS4, Line 15: speeds
> Comma after *speeds*?
Reworded
https://review.coreboot.org/c/coreboot/+/86026/comment/66d3d618_0c36e303?us… :
PS4, Line 15: Tested
> No idea if there are different CPU models in drobit, but it’d be great if you listed yours.
Done
https://review.coreboot.org/c/coreboot/+/86026/comment/04d01ac5_e7aaadf9?us… :
PS4, Line 16: 100% load
> How do you create this load?
Done
--
To view, visit https://review.coreboot.org/c/coreboot/+/86026?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Id0478c713b51db4972e7d93ec597a30fa885c22b
Gerrit-Change-Number: 86026
Gerrit-PatchSet: 6
Gerrit-Owner: Ingo Reitz <9l(a)9lo.re>
Gerrit-Reviewer: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Reviewer: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Reviewer: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Reviewer: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Attention: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Comment-Date: Thu, 16 Jan 2025 23:08:58 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Paul Menzel <paulepanter(a)mailbox.org>
Attention is currently required from: Ariel Chang, Ingo Reitz, Nick Vaccaro, Paul Menzel, Paul Yang, Wayne3 Wang.
Hello Ariel Chang, Matt DeVillier, Nick Vaccaro, Paul Yang, Wayne3 Wang, build bot (Jenkins),
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/86026?usp=email
to look at the new patch set (#6).
Change subject: mb/google/volteer/variants/drobit: fix power_limits_config
......................................................................
mb/google/volteer/variants/drobit: fix power_limits_config
Drobit shows little power usage (around 9W) and very low clock speeds
(1.1GHz - 1.4GHz) under load (`stress -c $(nproc)`), despite being at
temperature too low for thermal throttling (40-50C). It turns out that
power_limits_config is set to the lower end of the dptf power limit
ranges as opposed to baseboard and other variants. This seems to
prevent the device from using the intended power limits.
Tested: Boot and confirm more reasoable power usage (17W) and clock
speeds (around 2.5GHz) as well as good temperatures (topped 85C) and
stability under 100% load (`stress -c $(nproc)` for 30min).
Device for tests is i5-1135G7 and 16GG RAM.
Change-Id: Id0478c713b51db4972e7d93ec597a30fa885c22b
Signed-off-by: Ingo Reitz <9l(a)9lo.re>
---
M src/mainboard/google/volteer/variants/drobit/overridetree.cb
1 file changed, 2 insertions(+), 2 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/26/86026/6
--
To view, visit https://review.coreboot.org/c/coreboot/+/86026?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Id0478c713b51db4972e7d93ec597a30fa885c22b
Gerrit-Change-Number: 86026
Gerrit-PatchSet: 6
Gerrit-Owner: Ingo Reitz <9l(a)9lo.re>
Gerrit-Reviewer: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Reviewer: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Reviewer: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Reviewer: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Attention: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Attention: Ingo Reitz <9l(a)9lo.re>
Attention is currently required from: Ariel Chang, Ingo Reitz, Nick Vaccaro, Paul Menzel, Paul Yang, Wayne3 Wang.
Matt DeVillier has posted comments on this change by Ingo Reitz. ( https://review.coreboot.org/c/coreboot/+/86026?usp=email )
Change subject: mb/google/volteer/variants/drobit: fix power_limits_config
......................................................................
Patch Set 5: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/86026?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Id0478c713b51db4972e7d93ec597a30fa885c22b
Gerrit-Change-Number: 86026
Gerrit-PatchSet: 5
Gerrit-Owner: Ingo Reitz <9l(a)9lo.re>
Gerrit-Reviewer: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Reviewer: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Reviewer: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Reviewer: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Attention: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Attention: Ingo Reitz <9l(a)9lo.re>
Gerrit-Comment-Date: Thu, 16 Jan 2025 23:06:08 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: Intel coreboot Reviewers, Jayvik Desai, Jérémy Compostella, Kapil Porwal, Pranava Y N, Subrata Banik.
Julius Werner has posted comments on this change by Subrata Banik. ( https://review.coreboot.org/c/coreboot/+/86002?usp=email )
Change subject: soc/intel/ptl: Enable FSP debug log level control using CBFS
......................................................................
Patch Set 5:
(1 comment)
File src/soc/intel/pantherlake/Kconfig:
https://review.coreboot.org/c/coreboot/+/86002/comment/9d3386f6_1aec67da?us… :
PS5, Line 24: select HAVE_CBFS_FILE_OPTION_BACKEND if MAINBOARD_HAS_CHROMEOS
This really shouldn't be selected by an SoC Kconfig, it should either be enabled by CONFIG_CHROMEOS, or by our downstream ebuilds.
--
To view, visit https://review.coreboot.org/c/coreboot/+/86002?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ia2fc07188afde34d61ce8d50d3d722de48228e37
Gerrit-Change-Number: 86002
Gerrit-PatchSet: 5
Gerrit-Owner: Subrata Banik <subratabanik(a)google.com>
Gerrit-Reviewer: Intel coreboot Reviewers <intel_coreboot_reviewers(a)intel.com>
Gerrit-Reviewer: Jayvik Desai <jayvik(a)google.com>
Gerrit-Reviewer: Julius Werner <jwerner(a)chromium.org>
Gerrit-Reviewer: Kapil Porwal <kapilporwal(a)google.com>
Gerrit-Reviewer: Pranava Y N <pranavayn(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Jérémy Compostella <jeremy.compostella(a)intel.com>
Gerrit-Attention: Jayvik Desai <jayvik(a)google.com>
Gerrit-Attention: Intel coreboot Reviewers <intel_coreboot_reviewers(a)intel.com>
Gerrit-Attention: Subrata Banik <subratabanik(a)google.com>
Gerrit-Attention: Jérémy Compostella <jeremy.compostella(a)intel.com>
Gerrit-Attention: Kapil Porwal <kapilporwal(a)google.com>
Gerrit-Attention: Pranava Y N <pranavayn(a)google.com>
Gerrit-Comment-Date: Thu, 16 Jan 2025 23:01:43 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Attention is currently required from: Ariel Chang, Matt DeVillier, Nick Vaccaro, Paul Menzel, Paul Yang, Wayne3 Wang.
Hello Ariel Chang, Matt DeVillier, Nick Vaccaro, Paul Yang, Wayne3 Wang, build bot (Jenkins),
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/86026?usp=email
to look at the new patch set (#5).
Change subject: mb/google/volteer/variants/drobit: fix power_limits_config
......................................................................
mb/google/volteer/variants/drobit: fix power_limits_config
Drobit shows little power usage (around 9W) and very low clock speeds
(1.1GHz - 1.4GHz) under load (`stress -c $(nproc)`), despite being at
very low temperatures (40-50C). It turns out that power_limits_config
is set to the lower end of the dptf power limit ranges as opposed to
baseboard and other variants. This seems to prevent the device from
using the intended power limits.
Tested: Boot and confirm more reasoable power usage (17W) and clock
speeds (around 2.5GHz) as well as good temperatures (topped 85C) and
stability under 100% load (`stress -c $(nproc)` for 30min).
Device for tests is i5-1135G7 and 16GG RAM.
Change-Id: Id0478c713b51db4972e7d93ec597a30fa885c22b
Signed-off-by: Ingo Reitz <9l(a)9lo.re>
---
M src/mainboard/google/volteer/variants/drobit/overridetree.cb
1 file changed, 2 insertions(+), 2 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/26/86026/5
--
To view, visit https://review.coreboot.org/c/coreboot/+/86026?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Id0478c713b51db4972e7d93ec597a30fa885c22b
Gerrit-Change-Number: 86026
Gerrit-PatchSet: 5
Gerrit-Owner: Ingo Reitz <9l(a)9lo.re>
Gerrit-Reviewer: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Reviewer: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Reviewer: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Reviewer: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Wayne3 Wang <wayne3_wang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Paul Yang <paul.f.yang(a)intel.corp-partner.google.com>
Gerrit-Attention: Ariel Chang <ariel_chang(a)pegatron.corp-partner.google.com>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Nick Vaccaro <nvaccaro(a)chromium.org>